#!/usr/bin/perl
# テスト用のテキストファイルを作るプログラム

use strict;
use warnings;

srand;

my $chars = "abcdefghijklmnopqrstuvwxyz";
my $cnum = length($chars);

for (my $i = 0; $i < 17; $i++) {
	my $lno = int(rand() * 150) + 50;
	my $filename = sprintf("%d.txt", $i);
	open(FILE, "> $filename") or die("open $filename failed\n");
	for (my $j = 1; $j <= $lno; $j++) {
		my $dlen = int(rand() * 30) + 10;
		my $data = "";
		for (my $k = 0; $k < $dlen; $k++) {
			$data .= substr($chars, int(rand() * $cnum), 1);
		}
		printf FILE "%03d:%s\n", $j, $data;
	}
	close(FILE);
}
